summaryrefslogtreecommitdiffstats
path: root/ham
diff options
context:
space:
mode:
author JK Wood <joshuakwood@gmail.com>2014-07-22 16:01:07 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-07-22 16:01:07 +0700
commitd8bc81a867c9c3ac4fbe5c969b6a3ac27f15e666 (patch)
treec3715ee95862bdd82443ba173f804da0152145e5 /ham
parent877804cdfd3f4018495cded83bc5d35e8a8ab9d1 (diff)
downloadslackbuilds-d8bc81a867c9c3ac4fbe5c969b6a3ac27f15e666.tar.gz
slackbuilds-d8bc81a867c9c3ac4fbe5c969b6a3ac27f15e666.tar.xz
ham/grig: Added (Ham Radio rig control interface).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'ham')
-rw-r--r--ham/grig/README9
-rw-r--r--ham/grig/doinst.sh3
-rw-r--r--ham/grig/g_thread.patch12
-rw-r--r--ham/grig/grig.SlackBuild108
-rw-r--r--ham/grig/grig.desktop8
-rw-r--r--ham/grig/grig.info10
-rw-r--r--ham/grig/slack-desc19
7 files changed, 169 insertions, 0 deletions
diff --git a/ham/grig/README b/ham/grig/README
new file mode 100644
index 0000000000..2958df9a10
--- /dev/null
+++ b/ham/grig/README
@@ -0,0 +1,9 @@
+Grig is a simple Ham Radio control (CAT) program based on the Ham
+Radio Control Libraries (Hamlib). It is intended to be highly
+generic presenting the user to the same graphical user interface
+regardless of which radio is being controlled.
+
+Grig supports the most commonly used CAT commands that are implemented
+by Hamlib, and integrates well with other ham radio programs like Xlog
+and gMFSK. Thanks to Hamlib, grig works with most CAT-capable amateur
+radios. You can check out the Supported Radios page at the Hamlib website.
diff --git a/ham/grig/doinst.sh b/ham/grig/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/ham/grig/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/ham/grig/g_thread.patch b/ham/grig/g_thread.patch
new file mode 100644
index 0000000000..7679122ef4
--- /dev/null
+++ b/ham/grig/g_thread.patch
@@ -0,0 +1,12 @@
+--- src/main.c 2011-06-27 12:02:28.000000000 +0200
++++ src/main.c 2014-07-14 17:06:44.649235990 +0200
+@@ -182,8 +182,7 @@
+ the program if threads are not supported... then why doesn''t it work
+ on FreeBSD?
+ */
+- if (!g_thread_supported ())
+- g_thread_init (NULL);
++ g_thread_init (NULL);
+
+
+
diff --git a/ham/grig/grig.SlackBuild b/ham/grig/grig.SlackBuild
new file mode 100644
index 0000000000..ef4f6c3404
--- /dev/null
+++ b/ham/grig/grig.SlackBuild
@@ -0,0 +1,108 @@
+#!/bin/sh
+# Slackbuild for grig
+# Written by JK Wood <joshuakwood@gmail.com>
+
+# Slackbuild is released under the Dog-on-Fire License:
+# If use of this script causes your dog to catch on fire,
+# you agree to send me five dollars. Or a picture
+# of the dog on fire.
+# Otherwise, you're on your own. I've tested the script
+# on my own computer, and it hasn't broken anything.
+# So if it does it on your computer, that falls in
+# the realm of "Not my problem."
+#
+# Of course, if you'll send a bug report to the above
+# email address, I may be able to see what you did
+# wrong and prevent it from happening in the future.
+# In which case, I may just send YOU five dollars.
+
+# Oh, and feel free to copy it and modify it as you
+# see fit. Or as I see fit. Or as I fit. Although
+# that is unlikely, as I am rather tall.
+
+PRGNAM=grig
+VERSION=${VERSION:-0.8.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# g_thread_supported patch from Arch
+patch -p0 < $CWD/g_thread.patch
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+LDFLAGS="-L/lib${LIBDIRSUFFIX} -L/usr/lib${LIBDIRSUFFIX}" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --mandir=/usr/man \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/share/applications
+install -m 644 $CWD/grig.desktop $PKG/usr/share/applications
+install -m 644 $PKG/usr/share/pixmaps/grig/ic910.png $PKG/usr/share/pixmaps/grig.png
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/usr/share/grig/* $PKG/usr/doc/$PRGNAM-$VERSION
+rm -rf $PKG/usr/share/grig/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc -name "Makefile" -exec rm {} \;
+find $PKG/usr/doc -type f -exec chmod 644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG${PKGTYPE:-.tgz}
diff --git a/ham/grig/grig.desktop b/ham/grig/grig.desktop
new file mode 100644
index 0000000000..2428d96695
--- /dev/null
+++ b/ham/grig/grig.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Name=grig
+Comment=Rig control (cat) program
+Exec=grig
+Icon=grig
+StartupNotify=true
+Type=Application
+Categories=HamRadio;
diff --git a/ham/grig/grig.info b/ham/grig/grig.info
new file mode 100644
index 0000000000..4ab778d9cb
--- /dev/null
+++ b/ham/grig/grig.info
@@ -0,0 +1,10 @@
+PRGNAM="grig"
+VERSION="0.8.0"
+HOMEPAGE="http://groundstation.sourceforge.net/grig/"
+DOWNLOAD="http://sourceforge.net/projects/groundstation/files/Grig/0.8.0/grig-0.8.0.tar.gz"
+MD5SUM="c145327e72e462512e7835f3808f2bae"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="hamlib"
+MAINTAINER="JK Wood"
+EMAIL="joshuakwood@gmail.com"
diff --git a/ham/grig/slack-desc b/ham/grig/slack-desc
new file mode 100644
index 0000000000..2c9b68b322
--- /dev/null
+++ b/ham/grig/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+grig: grig (Ham Radio rig control interface)
+grig:
+grig: Grig is a simple Ham Radio control (CAT) program based on the Ham
+grig: Radio Control Libraries (Hamlib). It is intended to be highly generic
+grig: presenting the user to the same graphical user interface regardless
+grig: of which radio is being controlled.
+grig:
+grig:
+grig:
+grig: Homepage: http://groundstation.sourceforge.net/grig/
+grig: